# Material Dialogs

#### [View Releases and Changelogs](https://github.com/afollestad/material-dialogs/releases)

[![Build Status](https://travis-ci.org/afollestad/material-dialogs.svg)](https://travis-ci.org/afollestad/material-dialogs)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/0a4acc30a9ce440087f7688735359bb8)](https://www.codacy.com/app/drummeraidan_50/material-dialogs?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=afollestad/material-dialogs&amp;utm_campaign=Badge_Grade)
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

---

![Screenshots](https://raw.githubusercontent.com/afollestad/material-dialogs/master/art/showcase20.jpg)

# Modules

Click a module to see the Gradle dependency and a how-to document.

## Core



[ ![Core](https://img.shields.io/bintray/v/drummer-aidan/maven/material-dialogs:core.svg?label=core) ](https://bintray.com/drummer-aidan/maven/material-dialogs%3Acore/_latestVersion)

#### [Core Tutorial and Samples](documentation/CORE.md)

The `core` module contains everything you need to get started with the library. It contains all
core and normal-use functionality.

```gradle
dependencies {
  ...
  implementation 'com.afollestad.material-dialogs:core:2.5.0'
}
```

## Input

[ ![Input](https://img.shields.io/bintray/v/drummer-aidan/maven/material-dialogs:input.svg?label=input) ](https://bintray.com/drummer-aidan/maven/material-dialogs%3Ainput/_latestVersion)

#### [Input Tutorial and Samples](documentation/INPUT.md)
 
The `input` module contains extensions to the core module, such as a text input dialog.

```gradle
dependencies {
  ...
  implementation 'com.afollestad.material-dialogs:input:2.5.0'
}
```
 
## Files

[ ![Files](https://img.shields.io/bintray/v/drummer-aidan/maven/material-dialogs:files.svg?label=files) ](https://bintray.com/drummer-aidan/maven/material-dialogs%3Afiles/_latestVersion)

#### [Files Tutorial and Samples](documentation/FILES.md)

The `files` module contains extensions to the core module, such as a file and folder chooser.

```gradle
dependencies {
  ...
  implementation 'com.afollestad.material-dialogs:files:2.5.0'
}
```

## Color

[ ![Color](https://img.shields.io/bintray/v/drummer-aidan/maven/material-dialogs:color.svg?label=color) ](https://bintray.com/drummer-aidan/maven/material-dialogs%3Acolor/_latestVersion)

#### [Color Tutorial and Samples](documentation/COLOR.md)

The `color` module contains extensions to the core module, such as a color chooser.

```gradle
dependencies {
  ...
  implementation 'com.afollestad.material-dialogs:color:2.5.0'
}
```

## DateTime

[ ![DateTime](https://img.shields.io/bintray/v/drummer-aidan/maven/material-dialogs:datetime.svg?label=datetime) ](https://bintray.com/drummer-aidan/maven/material-dialogs%3Adatetime/_latestVersion)

#### [DateTime Tutorial and Samples](documentation/DATETIME.md)

The `datetime` module contains extensions to make date, time, and date-time picker dialogs.

```gradle
dependencies {
  ...
  implementation 'com.afollestad.material-dialogs:datetime:2.5.0'
}
```

## Lifecycle

[ ![Lifecycle](https://img.shields.io/bintray/v/drummer-aidan/maven/material-dialogs:lifecycle.svg?label=lifecycle) ](https://bintray.com/drummer-aidan/maven/material-dialogs%3Alifecycle/_latestVersion)

#### [Lifecycle Tutorial and Samples](documentation/LIFECYCLE.md)

The `lifecycle` module contains extensions to make dialogs work with AndroidX lifecycles.

```gradle
dependencies {
  ...
  implementation 'com.afollestad.material-dialogs:lifecycle:2.5.0'
}
```
